import 'package:json_annotation/json_annotation.dart';

part 'form_input_description_model.g.dart';
@JsonSerializable()
class FormInputDescriptionModel {
  final String? title;
  final bool? checkbox;
  @JsonKey(name: 'click_action_type')
  final String? clickActionType;
  @JsonKey(name: 'click_action_param')
  final String? clickActionParam;

  FormInputDescriptionModel({
    this.title,
    this.checkbox,
    this.clickActionType,
    this.clickActionParam,
  });

  factory FormInputDescriptionModel.fromJson(Map<String, dynamic> json) =>
      _$FormInputDescriptionModelFromJson(json);

  Map<String, dynamic> toJson() => _$FormInputDescriptionModelToJson(this);
}

